#
# spec file for package cloud-init-config-MicroOS
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cloud-init-config-MicroOS
Version:        1.1
Release:        3.1
Summary:        openSUSE MicroOS configuration file for could-init
License:        GPL-3.0-only
Group:          System/Management
Source0:        cloud.cfg
Source1:        COPYING
BuildRequires:  cloud-init
Requires:       cloud-init >= 17.1
Provides:       cloud-init-config = 0.7
Obsoletes:      cloud-init-config-caasp <= 1.0
BuildArch:      noarch

%description
This package contains the openSUSE MicroOS specific
configuration file for cloud-init.

%prep
# empty on purpose

%build
cp %{SOURCE1} .

%install
mkdir -p %{buildroot}%{_sysconfdir}/cloud/cloud.cfg.d
install -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/cloud/

%files
%license COPYING
%config(noreplace) %{_sysconfdir}/cloud/cloud.cfg

%changelog
* Tue Jun 20 2023 Martin Petersen <martin@petersen20.de>
- set distro to opensuse-microos in cloud.cfg
* Thu Aug 22 2019 Fabian Vogt <fvogt@suse.com>
- Drop explicit list of data sources (boo#1146802)
* Wed Jul 31 2019 kukuk@suse.de
- Rename to MicroOS, adjust cloud.cfg for this.
* Wed Dec 19 2018 kukuk@suse.de
- Remove ds-identify.cfg: does harm too much if there is no
  datasource. ds=nocloud on kernel cmdline is required until
  the cloud-init bug is fixed.
- Remove 02-kubic-network.cfg: prevents configuring the network
  at all, which means you cannot login on any of our images for
  virtualisation or cloud.
* Wed Nov  7 2018 Richard Brown <rbrown@suse.com>
- Introduce 02-kubic-network.cfg to consistently disable cloud-init
  from setting up the network. Workaround for [boo#1115000]
* Tue Oct 16 2018 kukuk@suse.de
- Remove suse_caasp Module, not needed with kubeadm
* Mon Mar 12 2018 kukuk@suse.de
- Add license to file list
* Mon Nov 27 2017 kukuk@suse.de
- Disable ds-identify for now (doesn't seem to detect any
  datasources on CaaSP/Kubic) (ds-identify.cfg)
- Enable growpart and resizefs modules by default [bsc#1069471]
* Mon Nov 27 2017 kukuk@suse.de
- Adjust zypper_add_repo module name
- Require cloud-init >= 17.1 because of module changes
* Tue Jun  6 2017 kukuk@suse.de
- Disable growpart and resizefs [bsc#1042913]
* Fri Jun  2 2017 kukuk@suse.de
- Add modules to manage disks and filesystems
* Thu Apr 20 2017 kukuk@suse.de
- Call suse_caasp module
* Mon Mar 20 2017 kukuk@suse.de
- Fix product name in comment
* Sun Mar 12 2017 kukuk@suse.de
- Add resolv_conf config
* Thu Feb  9 2017 kukuk@suse.de
- Mark ntp as useable on SLE
* Sun Jan 15 2017 kukuk@suse.de
- Rename from casp to caasp
* Fri Dec 23 2016 kukuk@suse.de
- Add OpenStack to datasource_list
* Wed Dec 14 2016 kukuk@suse.de
- Add Version number for cloud-init-config requires
- Add minimal version number for cloud-init
* Sun Nov 27 2016 kukuk@suse.de
- Add LocalDisk datasource
* Tue Nov 22 2016 kukuk@suse.de
- Initial version
